
-----------------------------------------
--  Setup Variable Names    
-----------------------------------------

SpellInfo = {}
SpellInfo.constants = {}
SpellInfo.constants.specs = {}
SpellInfo.constants.spells = {}
SpellInfo.constants.start = {}
SpellInfo.constants.finish = {}
SpellInfo.constants.groups = {}

local c = SpellInfo.constants
local specs = SpellInfo.constants.specs
local spells = SpellInfo.constants.spells
local start = SpellInfo.constants.start
local finish = SpellInfo.constants.finish
local groups = SpellInfo.constants.groups



----------------------------------------
-- Spell Groups 
----------------------------------------

groups.raidheal = {name = "raidheal", title= "Healing Cooldowns" }



---------------------------------------
--  Spells
---------------------------------------

-- MONK
	-- Zen Meditation
	spells[115176] = {group1 = "raidheal", len=8, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Avert Harm
	spells[115213] = {group1 = "raidheal", len=6, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	--Life Cocoon
	spells[116849] = {group1 = "raidheal", len=8, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Revival
	spells[115310] = {group1 = "raidheal", len=3, cd=180, mt=true,  start="SPELL_CAST_SUCCESS"}

	
--ROGUE
	-- Smoke Bomb
	spells[76577] = {group1 = "raidheal", len=7, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}

-- DK
	-- AMZ
	spells[51052] = {group1 = "raidheal", len=10, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Raise Ally
	spells[61999] = {group1 = "res", len=3, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}


-- Priest
	-- HoH
	spells[64901] = {group1 = "raidheal", len=8, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- DH
	spells[64843] = {group1 = "raidheal", len=8, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Barrier
	spells[62618] = {group1 = "raidheal", len=10, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Vampiric Embrace
	spells[15286] = {group1 = "raidheal", len=8, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Pain Suppression
	spells[33206] = {group1 = "raidheal", len=8, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Guardian Spirit
	spells[47788] = {group1 = "raidheal", len=10, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}

	
-- Warrior
	--Rally
	spells[97462] = {group1 = "raidheal", len=10, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}

	--Demo banner
	spells[114203] = {group1 = "raidheal", len=15, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}

-- Shaman 
	-- AG
	spells[108281] = {group1 = "raidheal", len=10, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}

	-- MTT
	spells[16190] = {group1 = "raidheal", len=16, cd=180, mt=true,  start="SPELL_CAST_SUCCESS"}

	-- HTT
	spells[108280] = {group1 = "raidheal", len=11, cd=180, mt=true,  start="SPELL_CAST_SUCCESS"}

	-- Spirit Link
	spells[98008] = {group1 = "raidheal", len=6, cd=180, mt=true,  start="SPELL_CAST_SUCCESS"}

-- Paladin
	-- DA
	spells[31821] = {group1 = "raidheal", len=6, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	-- Hand of Sac
	spells[6940] = {group1 = "raidheal", len=12, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}

--Druid
	--tranq
	spells[740] = {group1 = "raidheal", len=8, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	--IronBark
	spells[102342] = {group1 = "raidheal", len=12, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}
	--Rebirth
	spells[20484] = {group1 = "res", len=3, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}


--Warlock
	--soulstone
	spells[20707] = {group1 = "res", len=3, cd=180, mt=false,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}




--testing only
--smite
--spells[585] = {group1 = "raidheal", len=12, cd=180, mt=true,  start="SPELL_CAST_SUCCESS", finish="SPELL_AURA_REMOVED"}